ruby-rack_1.6.4-4ubuntu0.1_all.deb


Advertisement

Description

ruby-rack - modular Ruby webserver interface

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Updates Universe amd64
Package filename ruby-rack_1.6.4-4ubuntu0.1_all.deb
Package name ruby-rack
Package version 1.6.4
Package release 4ubuntu0.1
Package architecture all
Package type deb
Category universe/ruby
Homepage https://rack.github.io/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 79.49 KB
Installed size 354.00 KB
Rack provides a minimal, modular and adaptable interface for developing
web applications in Ruby.  By wrapping HTTP requests and responses in
the simplest way possible, it unifies and distills the API for web
servers, web frameworks, and software in between (the so-called
middleware) into a single method call.
Also see http://rack.github.io/.

Alternatives

Package Version Architecture Repository
ruby-rack_1.6.4-4ubuntu0.1_all.deb 1.6.4 all Ubuntu Updates Universe
ruby-rack_1.6.4-4_all.deb 1.6.4 all Ubuntu Universe
ruby-rack_1.6.4-4_all.deb 1.6.4 all Ubuntu Universe
ruby-rack - - -

Requires

Name Value
ruby -
ruby-interpreter -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package ruby-rack_1.6.4-4ubuntu0.1_all.deb
Source Package ruby-rack

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-rack deb package:
    # sudo apt-get install ruby-rack

Changelog

2019-08-06 - Eduardo Barretto <eduardo.barretto@canonical.com>
ruby-rack (1.6.4-4ubuntu0.1) bionic-security; urgency=medium
* SECURITY UPDATE: Crafted requests can impact the data returned by the scheme
method on Rack::Request leading to an XSS attack. 
- debian/patches/CVE-2018-16471.patch: whitelist http/https schemes.
- CVE-2018-16471
2016-07-13 - Christian Hofstaedtler <zeha@debian.org>
ruby-rack (1.6.4-4) unstable; urgency=medium
* Team upload.
[ Cédric Boutillier ]
* Use https:// in Vcs-* fields
* Run wrap-and-sort on packaging files
[ Christian Hofstaedtler ]
* Remove uninstallable ruby-memcache-client from test dependencies
* Bump Standards-Version to 3.9.8
2016-03-03 - Sebastien Badia <seb@sebian.fr>
ruby-rack (1.6.4-3) unstable; urgency=medium
* Team upload
* Bump compat. version to 9
* Update Debian packaging using dh-make-ruby
* d/control:
Update Vcs-* fields (switch to cgit and https everywhere)
Bump Standards-Version to 3.9.7 (no changes)
Move to ruby-dalli (memcache-client is deprecated)
ROM for ruby-memcache-client
https://github.com/rack/rack/issues/1025
Remove librack-ruby* relations (those packages are long gone)
2015-12-12 - Antonio Terceiro <terceiro@debian.org>
ruby-rack (1.6.4-2) unstable; urgency=medium
* Upload to unstable
2015-08-07 - Pirate Praveen <praveen@debian.org>
ruby-rack (1.6.4-1) experimental; urgency=medium
* Team upload
* New upstream release
* Refresh patch (part merged upstream)
2015-07-29 - Youhei SASAKI <uwabami@gfd-dennou.org>
ruby-rack (1.5.2-4) unstable; urgency=medium
* Add patch: Fix upstream Issue 631
- uninitialized constant Rack::Response::BodyProxy
* Create cherry-picked patch for Security Fix (Closes: #789311)
- CVE-2015-3225: 1-4-deep_params.patch
2014-10-17 - Antonio Terceiro <terceiro@debian.org>
ruby-rack (1.5.2-3) unstable; urgency=medium
* add myself to Uploaders:
* debian/ruby-tests.rake: run all tests instead of a subset of them
* debian/tests/control: add a gem2deb-test-runner test
2014-07-24 - Antonio Terceiro <terceiro@debian.org>
ruby-rack (1.5.2-2) unstable; urgency=medium
* Team upload.
* Rebuild with recent gem2deb to make package visible to Rubygems on all
Ruby interpreters
* Drop transitional packages
* Add autopkgtest smoke test
2013-06-03 - Christian Hofstaedtler <christian@hofstaedtler.name>
ruby-rack (1.5.2-1) unstable; urgency=low
* Team upload.
[ Cédric Boutillier ]
* debian/control: remove obsolete DM-Upload-Allowed flag
* use canonical URI in Vcs-* fields
[ Christian Hofstaedtler ]
* New upstream release.
* Removed all patches, already applied upstream.
2013-02-20 - KURASHIKI Satoru <lurdan@gmail.com>
ruby-rack (1.4.1-2.1) unstable; urgency=high
[ KURASHIKI Satoru ]
* Non-maintainer upload.
* Create cherry-picked patches for Security Fix (Closes: #700173 #700226).
- CVE-2013-0262: 0004-Prevent-symlink-path-traversals.patch
- CVE-2013-0263: 0005-Use-secure_compare-for-hmac-comparison.patch
[ Youhei SASAKI ]
* Create cherry-picked patches for Security Fix (Closes: #698440).
- CVE-2012-6109: 0001-Fix-parsing-performance-for-unquoted-filenames.patch
- CVE-2013-0183: 0002-multipart-parser-avoid-unbounded-gets-method.patch
- CVE-2013-0184: 0003-Reimplement-auth-scheme-fix.patch

See Also

Package Description
ruby-sanitize_2.1.0-2+deb9u1build0.18.04.1_all.deb whitelist-based HTML sanitizer
ruby-sprockets_3.7.0-1+deb9u1build0.18.04.1_all.deb Rack-based asset packaging system
ruby-zip_1.2.1-1.1~build0.18.04.1_amd64.deb Ruby module for reading and writing zip files
runc_1.0.0~rc7+git20190403.029124da-0ubuntu1~18.04.2_amd64.deb Open Container Project - runtime
rust-doc_1.25.0+dfsg1+llvm-0ubuntu1_all.deb Rust systems programming language - Documentation
rust-doc_1.28.0+dfsg1+llvm-0ubuntu1~18.04.1_all.deb Rust systems programming language - Documentation
rust-doc_1.30.0+dfsg1+llvm-2ubuntu1~18.04.1_all.deb Rust systems programming language - Documentation
rust-doc_1.31.0+dfsg1+llvm-2ubuntu1~18.04.1_all.deb Rust systems programming language - Documentation
rust-doc_1.32.0+dfsg1+llvm-1ubuntu1~18.04.1_all.deb Rust systems programming language - Documentation
rust-doc_1.34.1+dfsg2+llvm-0ubuntu1~18.04.1_all.deb Rust systems programming language - Documentation
rust-doc_1.35.0+dfsg0.1+llvm-0ubuntu1~18.04.1_all.deb Rust systems programming language - Documentation
rust-doc_1.36.0+dfsg1+llvm-2ubuntu1~18.04.1_all.deb Rust systems programming language - Documentation
rust-gdb_1.25.0+dfsg1+llvm-0ubuntu1_all.deb Rust debugger (gdb)
rust-gdb_1.28.0+dfsg1+llvm-0ubuntu1~18.04.1_all.deb Rust debugger (gdb)
rust-gdb_1.30.0+dfsg1+llvm-2ubuntu1~18.04.1_all.deb Rust debugger (gdb)
Advertisement
Advertisement